What software should I use with my camera?

Episode 956 (1:13:26)

Taryn from Los Alamitos, CA

Taryn has a Canon camera and it's software requires OS 10.6, and she has OS 10.4. Leo says that there's no need to use the Canon software. It's terrible and unnecessary. In fact, since Taryn is on the Mac, iPhoto will work just fine. Should she upgrade OS X? Leo says that the nice thing about OS X is that it's cheap to upgrade. The downside is that older hardware may not support the latest (Mountain Lion). Taryn's MacBook can go up to OS 10.6, though, but there's no real need to rush to upgrade since she'll get the latest OS when she upgrades to a new Mac.